<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/ScriptsHudDebug/HudDebugWinBase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d0f/_hud_debug_win_base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">HudDebugWinBase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/d0f/_hud_debug_win_base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d4/d42/class_hud_debug_win_base.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/d42/class_hud_debug_win_base.html">HudDebugWinBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d4/d42/class_hud_debug_win_base.html#a58d2375b63e011630ac0f6a3b7f1a920">    3</a></span>    <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> <a class="code hl_variable" href="../../d4/d42/class_hud_debug_win_base.html#a58d2375b63e011630ac0f6a3b7f1a920">m_WgtRoot</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d4/d42/class_hud_debug_win_base.html#ad66d69f17a2837038cc7ccb9356cb12b">    4</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d4/d42/class_hud_debug_win_base.html#ad66d69f17a2837038cc7ccb9356cb12b">m_Show</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d4/d42/class_hud_debug_win_base.html#a68e5d8a2ee0d6d40bef0876b212d0de8">    5</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d4/d42/class_hud_debug_win_base.html#a68e5d8a2ee0d6d40bef0876b212d0de8">m_RPCSent</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    <span class="comment">// Constructor</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d4/d42/class_hud_debug_win_base.html#a28a7bb5bf762a5bf0fffb802f22571e2">   10</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d42/class_hud_debug_win_base.html#a28a7bb5bf762a5bf0fffb802f22571e2">HudDebugWinBase</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> widget_root )</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_variable" href="../../d4/d42/class_hud_debug_win_base.html#a58d2375b63e011630ac0f6a3b7f1a920">m_WgtRoot</a> = widget_root;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    }</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <span class="comment">// GetType</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d4/d42/class_hud_debug_win_base.html#aa3e32bb7b404e580dcf402fefda3f2ec">   18</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d4/d42/class_hud_debug_win_base.html#aa3e32bb7b404e580dcf402fefda3f2ec">GetType</a>()</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d8/d26/_hud_debug_8c.html#af52fba056325c71e0a210bf9abde5dc9">HudDebug</a>.HUD_WIN_UNDEFINED;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d4/d42/class_hud_debug_win_base.html#a604fb3ffbb0bf94b9bca31b7275b0d08">   23</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d42/class_hud_debug_win_base.html#a604fb3ffbb0bf94b9bca31b7275b0d08">Init</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> widget_root );</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d4/d42/class_hud_debug_win_base.html#a82a7977e27833769df90efdfb3670b2f">   25</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d42/class_hud_debug_win_base.html#a82a7977e27833769df90efdfb3670b2f">SetUpdate</a>( <span class="keywordtype">bool</span> state );</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d4/d42/class_hud_debug_win_base.html#af6c88f4c21d15e784d695db9709cecc5">   27</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d42/class_hud_debug_win_base.html#af6c88f4c21d15e784d695db9709cecc5">Update</a>()</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../d4/d42/class_hud_debug_win_base.html#ad66d69f17a2837038cc7ccb9356cb12b">m_Show</a> &amp;&amp; !<a class="code hl_variable" href="../../d4/d42/class_hud_debug_win_base.html#a68e5d8a2ee0d6d40bef0876b212d0de8">m_RPCSent</a>)</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <a class="code hl_function" href="../../d4/d42/class_hud_debug_win_base.html#a82a7977e27833769df90efdfb3670b2f">SetUpdate</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    <span class="comment">// SetUpdate</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d4/d42/class_hud_debug_win_base.html#a2c324343dbe8bc52af00ad591bcbc75c">   39</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d42/class_hud_debug_win_base.html#a2c324343dbe8bc52af00ad591bcbc75c">SetRPCSent</a>()</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_variable" href="../../d4/d42/class_hud_debug_win_base.html#a68e5d8a2ee0d6d40bef0876b212d0de8">m_RPCSent</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="comment">// Show</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d4/d42/class_hud_debug_win_base.html#a15f8074c87e72dd8f75de985a045e164">   48</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d42/class_hud_debug_win_base.html#a15f8074c87e72dd8f75de985a045e164">Show</a>()</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_variable" href="../../d4/d42/class_hud_debug_win_base.html#a58d2375b63e011630ac0f6a3b7f1a920">m_WgtRoot</a>.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <a class="code hl_variable" href="../../d4/d42/class_hud_debug_win_base.html#ad66d69f17a2837038cc7ccb9356cb12b">m_Show</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <span class="comment">// Hide</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d4/d42/class_hud_debug_win_base.html#a34db14a789af9f1120fffd7bf4d90b2d">   57</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d42/class_hud_debug_win_base.html#a34db14a789af9f1120fffd7bf4d90b2d">Hide</a>()</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_variable" href="../../d4/d42/class_hud_debug_win_base.html#a58d2375b63e011630ac0f6a3b7f1a920">m_WgtRoot</a>.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_variable" href="../../d4/d42/class_hud_debug_win_base.html#ad66d69f17a2837038cc7ccb9356cb12b">m_Show</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    <span class="comment">// Is visible</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d4/d42/class_hud_debug_win_base.html#abaa554908e77fb32404feeddd8465854">   66</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d4/d42/class_hud_debug_win_base.html#abaa554908e77fb32404feeddd8465854">IsVisible</a>()</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d4/d42/class_hud_debug_win_base.html#a58d2375b63e011630ac0f6a3b7f1a920">m_WgtRoot</a>.IsVisible();</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    <span class="comment">// FitWindowByContent</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../d4/d42/class_hud_debug_win_base.html#a7befc3a82f008761875166a278c6b6b2">   74</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d42/class_hud_debug_win_base.html#a7befc3a82f008761875166a278c6b6b2">FitWindowByContent</a>( TextListboxWidget wgt )</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    {   </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordtype">int</span> size_of_value = 17;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <a class="code hl_function" href="../../d4/d42/class_hud_debug_win_base.html#ae667addbcfd61d8dd8c18a095289695b">SetValueListSize</a>( 250, size_of_value * wgt.GetNumItems(), wgt );</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span> </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    <span class="comment">// SetSize</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../d4/d42/class_hud_debug_win_base.html#ae667addbcfd61d8dd8c18a095289695b">   83</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d42/class_hud_debug_win_base.html#ae667addbcfd61d8dd8c18a095289695b">SetValueListSize</a>( <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, TextListboxWidget wgt )</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordtype">int</span> offset = 10;    </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordtype">int</span> size_of_title = 20;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        wgt.SetSize( <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> );</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="keywordtype">int</span> root_size_x = <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a> + ( 2 * offset );</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <span class="keywordtype">int</span> root_size_y = <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> + ( 2 * offset ) + size_of_title;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <a class="code hl_variable" href="../../d4/d42/class_hud_debug_win_base.html#a58d2375b63e011630ac0f6a3b7f1a920">m_WgtRoot</a>.SetSize( root_size_x, root_size_y );</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>}</div>
<div class="ttc" id="a_hud_debug_8c_html_af52fba056325c71e0a210bf9abde5dc9"><div class="ttname"><a href="../../d8/d26/_hud_debug_8c.html#af52fba056325c71e0a210bf9abde5dc9">HudDebug</a></div><div class="ttdeci">void HudDebug()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_hud_debug_8c_source.html#l00104">HudDebug.c:104</a></div></div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="aclass_hud_debug_win_base_html"><div class="ttname"><a href="../../d4/d42/class_hud_debug_win_base.html">HudDebugWinBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d0f/_hud_debug_win_base_8c_source.html#l00001">HudDebugWinBase.c:2</a></div></div>
<div class="ttc" id="aclass_hud_debug_win_base_html_a15f8074c87e72dd8f75de985a045e164"><div class="ttname"><a href="../../d4/d42/class_hud_debug_win_base.html#a15f8074c87e72dd8f75de985a045e164">HudDebugWinBase::Show</a></div><div class="ttdeci">void Show()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d0f/_hud_debug_win_base_8c_source.html#l00048">HudDebugWinBase.c:48</a></div></div>
<div class="ttc" id="aclass_hud_debug_win_base_html_a28a7bb5bf762a5bf0fffb802f22571e2"><div class="ttname"><a href="../../d4/d42/class_hud_debug_win_base.html#a28a7bb5bf762a5bf0fffb802f22571e2">HudDebugWinBase::HudDebugWinBase</a></div><div class="ttdeci">void HudDebugWinBase(Widget widget_root)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d0f/_hud_debug_win_base_8c_source.html#l00010">HudDebugWinBase.c:10</a></div></div>
<div class="ttc" id="aclass_hud_debug_win_base_html_a2c324343dbe8bc52af00ad591bcbc75c"><div class="ttname"><a href="../../d4/d42/class_hud_debug_win_base.html#a2c324343dbe8bc52af00ad591bcbc75c">HudDebugWinBase::SetRPCSent</a></div><div class="ttdeci">void SetRPCSent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d0f/_hud_debug_win_base_8c_source.html#l00039">HudDebugWinBase.c:39</a></div></div>
<div class="ttc" id="aclass_hud_debug_win_base_html_a34db14a789af9f1120fffd7bf4d90b2d"><div class="ttname"><a href="../../d4/d42/class_hud_debug_win_base.html#a34db14a789af9f1120fffd7bf4d90b2d">HudDebugWinBase::Hide</a></div><div class="ttdeci">void Hide()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d0f/_hud_debug_win_base_8c_source.html#l00057">HudDebugWinBase.c:57</a></div></div>
<div class="ttc" id="aclass_hud_debug_win_base_html_a58d2375b63e011630ac0f6a3b7f1a920"><div class="ttname"><a href="../../d4/d42/class_hud_debug_win_base.html#a58d2375b63e011630ac0f6a3b7f1a920">HudDebugWinBase::m_WgtRoot</a></div><div class="ttdeci">Widget m_WgtRoot</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d0f/_hud_debug_win_base_8c_source.html#l00003">HudDebugWinBase.c:3</a></div></div>
<div class="ttc" id="aclass_hud_debug_win_base_html_a604fb3ffbb0bf94b9bca31b7275b0d08"><div class="ttname"><a href="../../d4/d42/class_hud_debug_win_base.html#a604fb3ffbb0bf94b9bca31b7275b0d08">HudDebugWinBase::Init</a></div><div class="ttdeci">void Init(Widget widget_root)</div></div>
<div class="ttc" id="aclass_hud_debug_win_base_html_a68e5d8a2ee0d6d40bef0876b212d0de8"><div class="ttname"><a href="../../d4/d42/class_hud_debug_win_base.html#a68e5d8a2ee0d6d40bef0876b212d0de8">HudDebugWinBase::m_RPCSent</a></div><div class="ttdeci">protected bool m_RPCSent</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d0f/_hud_debug_win_base_8c_source.html#l00005">HudDebugWinBase.c:5</a></div></div>
<div class="ttc" id="aclass_hud_debug_win_base_html_a7befc3a82f008761875166a278c6b6b2"><div class="ttname"><a href="../../d4/d42/class_hud_debug_win_base.html#a7befc3a82f008761875166a278c6b6b2">HudDebugWinBase::FitWindowByContent</a></div><div class="ttdeci">void FitWindowByContent(TextListboxWidget wgt)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d0f/_hud_debug_win_base_8c_source.html#l00074">HudDebugWinBase.c:74</a></div></div>
<div class="ttc" id="aclass_hud_debug_win_base_html_a82a7977e27833769df90efdfb3670b2f"><div class="ttname"><a href="../../d4/d42/class_hud_debug_win_base.html#a82a7977e27833769df90efdfb3670b2f">HudDebugWinBase::SetUpdate</a></div><div class="ttdeci">void SetUpdate(bool state)</div></div>
<div class="ttc" id="aclass_hud_debug_win_base_html_aa3e32bb7b404e580dcf402fefda3f2ec"><div class="ttname"><a href="../../d4/d42/class_hud_debug_win_base.html#aa3e32bb7b404e580dcf402fefda3f2ec">HudDebugWinBase::GetType</a></div><div class="ttdeci">int GetType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d0f/_hud_debug_win_base_8c_source.html#l00018">HudDebugWinBase.c:18</a></div></div>
<div class="ttc" id="aclass_hud_debug_win_base_html_abaa554908e77fb32404feeddd8465854"><div class="ttname"><a href="../../d4/d42/class_hud_debug_win_base.html#abaa554908e77fb32404feeddd8465854">HudDebugWinBase::IsVisible</a></div><div class="ttdeci">bool IsVisible()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d0f/_hud_debug_win_base_8c_source.html#l00066">HudDebugWinBase.c:66</a></div></div>
<div class="ttc" id="aclass_hud_debug_win_base_html_ad66d69f17a2837038cc7ccb9356cb12b"><div class="ttname"><a href="../../d4/d42/class_hud_debug_win_base.html#ad66d69f17a2837038cc7ccb9356cb12b">HudDebugWinBase::m_Show</a></div><div class="ttdeci">protected bool m_Show</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d0f/_hud_debug_win_base_8c_source.html#l00004">HudDebugWinBase.c:4</a></div></div>
<div class="ttc" id="aclass_hud_debug_win_base_html_ae667addbcfd61d8dd8c18a095289695b"><div class="ttname"><a href="../../d4/d42/class_hud_debug_win_base.html#ae667addbcfd61d8dd8c18a095289695b">HudDebugWinBase::SetValueListSize</a></div><div class="ttdeci">void SetValueListSize(int x, int y, TextListboxWidget wgt)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d0f/_hud_debug_win_base_8c_source.html#l00083">HudDebugWinBase.c:83</a></div></div>
<div class="ttc" id="aclass_hud_debug_win_base_html_af6c88f4c21d15e784d695db9709cecc5"><div class="ttname"><a href="../../d4/d42/class_hud_debug_win_base.html#af6c88f4c21d15e784d695db9709cecc5">HudDebugWinBase::Update</a></div><div class="ttdeci">void Update()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d0f/_hud_debug_win_base_8c_source.html#l00027">HudDebugWinBase.c:27</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_2afef03bae7595a9846f7a417c9fdd84.html">ScriptsHudDebug</a></li><li class="navelem"><a class="el" href="../../d6/d0f/_hud_debug_win_base_8c.html">HudDebugWinBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
